Variant.VARIANT.ByReference (JNA API)

com.sun.jna.platform.win32

## Class Variant.VARIANT.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.win32.Variant.VARIANT
      - - com.sun.jna.platform.win32.Variant.VARIANT.ByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing class:
    Variant.VARIANT

      public static class Variant.VARIANT.ByReference
      extends Variant.VARIANT
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Variant.VARIANT

      `Variant.VARIANT._VARIANT, Variant.VARIANT.ByReference, Variant.VARIANT.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.Variant.VARIANT

      `_variant, decVal, VARIANT_MISSING`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`
    `ByReference(Pointer variant)`
    `ByReference(Variant.VARIANT variant)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.Variant.VARIANT

      `booleanValue, byteValue, dateValue, doubleValue, floatValue, fromJavaDate, getValue, getVarType, intValue, longValue, setValue, setValue, setValue, setVarType, shortValue, stringValue, toJavaDate`

    - ### Methods inherited from class com.sun.jna.Union

      `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference(Variant.VARIANT variant)

    - #### ByReference

          public ByReference(Pointer variant)

    - #### ByReference

          public ByReference()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.